"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tryWait = void 0;
/**
 *   Wechaty Chatbot SDK - https://github.com/wechaty/wechaty
 *
 *   @copyright 2016 Huan LI (李卓桓) <https://github.com/huan>, and
 *                   Wechaty Contributors <https://github.com/wechaty>.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */
const promise_retry_1 = __importDefault(require("promise-retry"));
async function tryWait(retryableFn) {
    /**
     * 60 seconds: (to be confirmed)
     *  factor: 3
     *  minTimeout: 10
     *  maxTimeout: 20 * 1000
     *  retries: 9
     */
    const factor = 3;
    const minTimeout = 10;
    const maxTimeout = 20 * 1000;
    const retries = 9;
    // const unref      = true
    const retryOptions = {
        factor,
        maxTimeout,
        minTimeout,
        retries,
        // unref,
    };
    return promise_retry_1.default(retryOptions, retryableFn);
}
exports.tryWait = tryWait;
//# sourceMappingURL=try-wait.js.map